App\UserBundle\Entity\CCEStudent:
  type: entity
  repositoryClass: App\UserBundle\Repository\CCEStudentRepository
  table: CCEStudents
  id:
    id:
      type: integer
      column: CCEStudentID
      generator:
        strategy: IDENTITY
  fields:
    first_name:
      type: string
      length: 255
      column: FirstName
    surname:
      type: string
      length: 255
      column: Surname
    known_as:
      type: string
      length: 255
      column: KnownAs
      nullable: true
    id_number:
      type: string
      length: 50
      column: IDNumber
      nullable: true
    telephone:
      type: string
      length: 255
      column: Telephone
      nullable: true
    cellphone:
      type: string
      length: 255
      column: Cellphone
      nullable: true
    email_address:
      type: string
      length: 255
      column: EmailAddress
      nullable: true
    home_address:
      type: text
      column: HomeAddress
      nullable: true
    work_address:
      type: text
      column: WorkAddress
      nullable: true
    postal_address:
      type: text
      column: PostalAddress
      nullable: true
    student_number:
      type: string
      length: 255
      column: StudentNumber
      nullable: true
    web_username:
      type: string
      length: 20
      column: WebUsername
      nullable: true
    web_password:
      type: string
      length: 20
      column: WebPassword
      nullable: true
    title:
      type: string
      length: 20
      column: Title
      nullable: true
    designation:
      type: string
      length: 255
      column: Designation
      nullable: true
    department:
      type: string
      length: 255
      column: Department
      nullable: true
    organisation:
      type: string
      length: 255
      column: Organisation
      nullable: true
    ecsa_number:
      type: string
      length: 50
      column: ECSANumber
      nullable: true
    dietary_requirements:
      type: string
      length: 255
      column: DietaryRequirements
      nullable: true
    organisation_type:
      type: string
      length: 255
      column: OrganisationType
      nullable: true
    order_no:
      type: string
      length: 50
      column: OrderNo
      nullable: true
    cesa_account_no:
      type: string
      length: 50
      column: CESAAccountNo
      nullable: true
    vat_no:
      type: string
      length: 50
      column: VATNo
      nullable: true
    booked_by_name:
      type: string
      length: 255
      column: BookedByName
      nullable: true
    booked_by_designation:
      type: string
      length: 255
      column: BookedByDesignation
      nullable: true
    booked_by_tel_no:
      type: string
      length: 255
      column: BookedByTelNo
      nullable: true
    booked_by_fax_no:
      type: string
      length: 255
      column: BookedByFaxNo
      nullable: true
    booked_by_cell_no:
      type: string
      length: 255
      column: BookedByCellNo
      nullable: true
    booked_by_email:
      type: string
      length: 255
      column: BookedByEmail
      nullable: true
    age:
      type: integer
      column: Age
      nullable: true
    highest_qual:
      type: string
      length: 255
      column: HighestQual
      nullable: true
    area_discipline:
      type: string
      length: 255
      column: AreaDiscipline
      nullable: true
    cv_file:
      type: string
      length: 255
      column: CVFile
      nullable: true
    qual_certificate_1:
      type: string
      length: 255
      column: QualCertificate1
      nullable: true
    qual_certificate_2:
      type: string
      length: 255
      column: QualCertificate2
      nullable: true
    qual_certificate_3:
      type: string
      length: 255
      column: QualCertificate3
      nullable: true
    cce_facilitator_id:
      type: integer
      column: CCEFacilitatorID
      nullable: true
    project:
      type: integer
      column: Project
      nullable: true
    project_discipline:
      type: string
      length: 255
      column: ProjectDiscipline
      nullable: true
    memorandum_file:
      type: string
      length: 255
      column: MemorandumFile
      nullable: true
    agreement_file:
      type: string
      length: 255
      column: AgreementFile
      nullable: true
    mentor_name:
      type: string
      length: 255
      column: MentorName
      nullable: true
    mentor_desig:
      type: string
      length: 255
      column: MentorDesig
      nullable: true
    mentor_tel:
      type: string
      length: 255
      column: MentorTel
      nullable: true
    mentor_cell:
      type: string
      length: 255
      column: MentorCell
      nullable: true
    mentor_email:
      type: string
      length: 255
      column: MentorEmail
      nullable: true
    block_access:
      type: string
      length: 255
      column: BlockAccess
      nullable: true
    hr_manager_name:
      type: string
      length: 255
      column: HRManagerName
      nullable: true
    hr_manager_designation:
      type: string
      length: 255
      column: HRManagerDesignation
      nullable: true
    hr_manager_tel_no:
      type: string
      length: 255
      column: HRManagerTelNo
      nullable: true
    hr_manager_cell_no:
      type: string
      length: 255
      column: HRManagerCellNo
      nullable: true
    hr_manager_email:
      type: string
      length: 255
      column: HRManagerEmail
      nullable: true
    length_employ:
      type: string
      length: 255
      column: LengthEmploy
      nullable: true
    archived:
      type: boolean
      column: Archived
      nullable: false
      options:
        default: 0
    result_letter:
      type: string
      length: 255
      column: ResultLetter
      nullable: true
    achieved:
      type: boolean
      column: Achieved
      nullable: false
      options:
        default: 0
    reason_for_leaving:
      type: text
      column: ReasonForLeaving
      nullable: true
    id_file:
      type: string
      length: 255
      column: IDFile
      nullable: true
    photo_file:
      type: string
      length: 255
      column: PhotoFile
      nullable: true
    accepted:
      type: boolean
      column: Accepted
      nullable: false
      options:
        default: 1
    reason_not_accepted:
      type: text
      column: ReasonNotAccepted
      nullable: true
    ecsa_registered:
      ype: string
      length: 1
      column: ECSARegistered
      nullable: true
    cesa_member_firm:
      ype: string
      length: 1
      column: CESAMemberFirm
      nullable: true
    other_ce_firms:
      type: text
      column: OtherCEFirms
      nullable: true
    sabtaco_member_firm:
      ype: string
      length: 1
      column: SABTACOMemberFirm
      nullable: true
    preferred_courier_address:
      type: string
      length: 255
      column: PreferredCourierAddress
      nullable: true
    motivational_letter:
      type: string
      length: 255
      column: MotivationalLetter
      nullable: true
    mentor_surname:
      type: string
      length: 255
      column: MentorSurname
      nullable: true
    responsible_payment:
      type: string
      length: 255
      column: ResponsiblePayment
      nullable: true
    project_code:
      type: string
      length: 255
      column: ProjectCode
      nullable: true
    mentor_first_name:
      type: string
      length: 255
      column: MentorFirstName
      nullable: true
    mentor_company:
      type: string
      length: 255
      column: MentorCompany
      nullable: true
    email_address_2:
      type: string
      length: 255
      column: EmailAddress2
      nullable: true
    result_comments:
      type: text
      column: ResultComments
      nullable: true
    result_status:
      ype: string
      length: 1
      column: ResultStatus
      nullable: true
    Modules_enrolled:
      type: string
      length: 20
      column: ModulesEnrolled
      nullable: true
    cancelled:
      type: boolean
      column: Cancelled
      nullable: true
      options:
        default: 1
    cancelled_reason:
      type: string
      length: 255
      column: CancelledReason
      nullable: true
    trimester_1_report:
      type: string
      length: 255
      column: Trimester1Report
      nullable: true
    trimester_2_report:
      type: string
      length: 255
      column: Trimester2Report
      nullable: true
    trimester_3_report:
      type: string
      length: 255
      column: Trimester3Report
      nullable: true
    exam_result_letter:
      type: string
      length: 255
      column: ExamResultLetter
      nullable: true
    supplemental_result_letter:
      type: string
      length: 255
      column: SupplementalExamLetter
      nullable: true